package com.gihon.security.controller;

import com.gihon.common.http.HttpResult;
import com.gihon.security.pojo.Permission;
import com.gihon.security.service.permissionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月19日 09时
 **/
public class PermissionController {
    @Autowired
    private permissionService permissionService;
    /**
     * 处理内容： 查看用户权限
     * @param id 用户id
     * @return 用户拥有的权限列表
     */
    @GetMapping("/getPermissionsByUserId")
    @ResponseBody
    public HttpResult<Permission> addPermission(Long id){
        HttpResult permissions = permissionService.findPermissionsByUserId(id);
        return permissions;
    }
    public HttpResult setPermission(Long id ,String permissionStr){
        HttpResult httpResult = permissionService.setPermission(id, permissionStr);
        return httpResult;
    }



}
