package com.gihon.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gihon.security.pojo.Permission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月18日 16时
 **/
@Mapper
public interface PermissionMapper  extends BaseMapper<Permission> {
    /**
     * 处理内容： 根据用户id
     * 查找拥有权限
     * @param id 用户id
     * @return 权限对象
     */
    @Select("select * from tb_permission per where per.id in (select perm_id from tb_role_perm rp where rp.role_id in (select role_id from tb_user_role ur where ur.user_id = #{id} ) )")
    public List<Permission> findPermissions(@Param("id") Long id);


}
