package com.gihon.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gihon.security.pojo.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

// 数据访问接口
@Mapper
public interface UserMapper extends BaseMapper<User> {
    @Select("select id, username, password from tb_user where username = #{username}")
    User selectByUsername(String username);
    // 根据用户的主键，查询角色的名称集合。
    @Select("select name from tb_role where id in ( select role_id from tb_user_role where user_id = #{userId} )")
    List<String> selectRoleNamesByUserId(Long userId);
    // 根据用户的主键，查询权限的描述集合。
    @Select("select permission from tb_permission where id in ( select perm_id from tb_role_perm where role_id in ( select role_id from tb_user_role where user_id = #{userId} ) )")
    List<String> selectPermissionsByUserId(Long userId);




}
