package com.gihon.security.matchers;

import org.springframework.security.core.Authentication;

import javax.servlet.http.HttpServletRequest;

/**
 * 自定义权限管理控制
 */
public interface MyPermissionsMatcher {
    /**
     * 判断用户是否有当前请求地址的访问权限。
     * @param request 用于获取访问地址的请求对象 request.getXxx方法获取请求地址
     * @param authentication SpringSecurity中认证成功后，用户的主体对象。
     * @return
     */
    boolean hasPermission(HttpServletRequest request, Authentication authentication);
}
