package com.gihon.security.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gihon.common.http.HttpResult;
import com.gihon.security.mapper.PermissionMapper;
import com.gihon.security.pojo.Permission;
import com.gihon.security.service.permissionService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: common-parent
 * @description:
 * @author: dl
 * @create: 02月20日 09时
 **/
@Service
public class permissionServiceImpl extends ServiceImpl<PermissionMapper,Permission> implements permissionService {
    /**
     * 主要功能：扩展已有权限
     * @data 2021/2/20 9:49
     * @author: dl
     * @param	id	权限id
     * @param	permissionStr	新增加权限
     * @return com.gihon.common.http.HttpResult
     *
     */
    @Override
    public HttpResult setPermission(Long id, String permissionStr) {
        Permission permission = this.getById(id);
        String oldPermission = permission.getPermission()+permissionStr;
        permission.setPermission(oldPermission);
        int update = baseMapper.update(permission, new QueryWrapper<Permission>().eq("id", id));

        if (update == 0) {
            return HttpResult.error("修改权限失败");
        }
        return HttpResult.ok();
    }

    @Override
    public HttpResult findPermissionsByUserId(Long id) {
        List<Permission> permissions = baseMapper.findPermissions(id);
        return HttpResult.ok(permissions);
    }
}
