package com.gihon.sso.service;

import java.util.List;

import com.gihon.sso.entity.vo.LoginUser;
import com.gihon.sso.entity.vo.SsoToken;
import com.gihon.sso.entity.vo.UserInfo;

/**
 * 管理Token
 * 
 * @author baihe
 *
 */
public interface TokenService {

	final String TOKEN_PRE = "SSO_TOKEN_";//存储 用户账号,过期时间,resfresh_token
	
	final String USER_TOKEN_PRE = "SSO_USER_TOKEN_";//按照用户账号存储 token和refreshtoken
	
	final String REFRESH_TOKEN_PRE = "SSO_TOKEN_REFRESH_";//存储token,过期时间,用户账号

	final long TOKEN_EXPIRED = 1000*60*60*24L;//24小时
	
	final long REFRESH_TOKEN_EXPIRED = 1000*60*60*72L;//72小时
	
	final long EXIPRED_MORE = 1000*60;
	
	/**
	 * 创建token
	 * 
	 * @param userInfo
	 * @return
	 */
	SsoToken createToken(UserInfo userInfo);

	/**
	 * 刷新Token
	 * 
	 * @param refreshToken
	 * @return
	 */
	SsoToken refreshToken(String refreshToken);

	/**
	 * 获取Token信息
	 * 
	 * @param token
	 * @return
	 */
	UserInfo checkToken(LoginUser loginUser);

	/**
	 * 可以账号多地点登录时候的Token
	 * 
	 * @param token
	 * @return
	 */
	List<SsoToken> getTokenByAccount(String account);

	/**
	 * 清理Token
	 * 
	 * @param token
	 */
	void clearToken(String token);

}
