package com.gihon.common.web.response;

import java.util.Collection;

public class PageBean<T> {

	private Collection<T> records;
    private long total = 0L;
    private long size = 10L;
    private long pages = 0L;
    private long current = 1L;
    
    private PageBean(Collection<T> t, long total,long current,long size,long pages) {
        this.records = t;
        this.total = total;
        this.current = current;
        this.size = size;
        this.pages = pages;
    }
    
    private PageBean(Collection<T> t, long total,long current) {
        this.records = t;
        this.total = total;
        this.current = current;
        if(this.size>0L) {
        	this.pages = (this.total+this.size-1L)/this.size;
        }
        
    }

    public static <T> PageBean<T> createSuccess(Collection<T> t, long total, long current, long size, long pages) {
        return new PageBean<T>(t,total,current,size,pages);
    }

    public static <T> PageBean<T> createSuccess(Collection<T> t, long total,long current) {
        return new PageBean<T>(t,total,current);
    }
    
	public Collection<T> getRecords() {
		return records;
	}
	public void setRecords(Collection<T> records) {
		this.records = records;
	}
	public long getTotal() {
		return total;
	}
	public void setTotal(long total) {
		this.total = total;
	}
	public long getSize() {
		return size;
	}
	public void setSize(long size) {
		this.size = size;
	}
	public long getPages() {
		return pages;
	}
	public void setPages(long pages) {
		this.pages = pages;
	}
	public long getCurrent() {
		return current;
	}
	public void setCurrent(Integer current) {
		this.current = current;
	}
 
}
